Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlFeedBackBuilder Class Reference

`#include <GlFeedBackBuilder.h>`

Inheritance diagram for tlp::GlFeedBackBuilder:
[legend]

List of all members.

## Public Member Functions

- virtual ~GlFeedBackBuilder ()
- virtual void begin (const Vector< int, 4 > &)
- virtual void passThroughToken (GLfloat *)
- virtual void pointToken (GLfloat *)
- virtual void lineToken (GLfloat *)
- virtual void lineResetToken (GLfloat *)
- virtual void polygonToken (GLfloat *)
- virtual void bitmapToken (GLfloat *)
- virtual void drawPixelToken (GLfloat *)
- virtual void copyPixelToken (GLfloat *)
- virtual void end ()
- virtual void getResult (std::string *str)=0

## Detailed Description

Abstract class used to build a object with a OpenGl feedback buffer

## Constructor & Destructor Documentation

virtual tlp::GlFeedBackBuilder::~GlFeedBackBuilder | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::GlFeedBackBuilder::begin | ( | const Vector< int, 4 > & |  | ) | `[inline, virtual]`

virtual void tlp::GlFeedBackBuilder::bitmapToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::copyPixelToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::drawPixelToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::end | ( |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::getResult | ( | std::string * | str | ) | `[pure virtual]`

virtual void tlp::GlFeedBackBuilder::lineResetToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::lineToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::passThroughToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::pointToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlTLPFeedBackBuilder.

virtual void tlp::GlFeedBackBuilder::polygonToken | ( | GLfloat * |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlTLPFeedBackBuilder.

Tulip Software by LaBRI Visualization Team 2001 - 2012